Subject: Re: Could /Documentation/technical/commit-graph.txt be relicensed under a permissive license?

From: Jakub Narebski <[email-masked]>
Date: Sun, 15 Dec 2019 03:29:11 +0100

Derrick Stolee <[email-masked]> writes:

> On 12/10/2019 3:10 PM, Junio C Hamano wrote:
>> KOLANICH <[email-masked]> writes:
[...]
>>> ... the license of git itself is GPL, so I am not
>>> allowed to use these 2 files to create an own permissive-licensed
>>> tool reading this file. 
>> 
>> It is a wrong conclusion, isn't it?
>> 
>> GPL copyright protects the expression of the document, but the
>> copyright protects only the expression, and does not protect the
>> underlying format itself and the idea behind it.  So I do not see a
>> need to relicense the documentation text at all.
>
> (Insert "I am not a lawyer" warning.)
>
> I think this is the correct interpretation. One can interact with
> binary files as you want. In fact, there are likely privately
> licensed products that interact with Git's pack-files even though
> their format documentation is under GPL.
>
> What _could_ be problematic is repeating the documentation directly
> in another permissive-licensed repository.

Sidenote: I wonder if JGit, which is permissively-licensed (EDL,
i.e. new-style BSD) pure-Java implementation of Git, makes use of commit
graph.

I remember that pack bitmaps came to Git from JGit, where that feature
was first implemented.

Best,
--
Jakub Narębski